%define rbname ecore
%define version 0.0.0
%define release 0.svn346.2mdk

Summary: Ruby binding for ecore
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Other
License: MIT
URL: http://code-monkey.de/projects/ruby-efl.html
Source0: %{name}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ecore-devel ruby-evas-devel
BuildRequires: ruby-rake ruby-devel

%package devel
Summary: Ruby binding for ecore - developpment files
Group: Development/Other

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
This is a Ruby binding for ecore.

%description devel
This package contains files needed to build objects linked on ruby-ecore

%prep
%setup -q -n %{name}

%build
ECORE_PREFIX=%{_prefix} rake 

%install
mkdir -p %{buildroot}%{ruby_archdir}
ECORE_PREFIX=%{_prefix} DESTDIR=%{buildroot} rake install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{ruby_archdir}/*.so

%files devel
%defattr(-, root, root)
%{ruby_archdir}/%{rbname}

%changelog
* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.2mdk
- BuildRequires ruby-devel

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.1mdk
- First version of the package 
